### 1.35 `log10`, `log10f`—base 10 logarithms

Synopsis

         #include <math.h>
         double log10(double x);
         float log10f(float x);

Description
`log10` returns the base 10 logarithm of x. It is implemented as `log(`x`) / log(10)`.

`log10f` is identical, save that it takes and returns `float` values.

Returns
`log10` and `log10f` return the calculated value.

See the description of `log` for information on errors.

Portability
`log10` is ANSI C. `log10f` is an extension.